package basic.BuilderTypeManager.model;

import com.wasu.statistics.WasuStatistics;

import cn.com.wasu.main.BuildConfig;
import cn.com.wasu.main.ChannelFlavor;

/**
 * Created by fanwang on 9/8/16.
 */
public abstract class AbsBuilderType implements IBuilderTypeInterface{
    //--------shared params--------
    //华数鉴权配置
    public String SITE_ID 		= "2002";
    // 渠道号
    public String channelId = "72";

    public String ManageUrl 	= "http://itf.upm.wasu.tv/um";
    public String PayUrl    	= "http://itf.upm.wasu.tv/pay";
    public String PlayUrl  	= "http://itf.upm.wasu.tv/p";
    public String payTypeUrl 	= "http://itf.upm.wasu.tv/wpay-interface/pay/pay_type_cs.jsp";
    //程序外调默认域名
    public String HTTP_DOMAIN = BuildConfig.FLAVOR.equalsIgnoreCase(ChannelFlavor.LETV_MARKET) ? "https://letv-ds.wasu.tv" : "http://tang-ds.cs.wasu.tv";
    //阿里统计appkey
    public String appKey = "wdm_13662659";
    //阿里统计appsecret
    public String appSecret="8687754b673b4e75e9d8955eb3a8eaaf";
    //开启的统计
    public int STATISTICS_OPEN = WasuStatistics.ALI_OPEN| WasuStatistics.GRIDSUM_OPEN|WasuStatistics.ZX_OPEN|WasuStatistics.ALIBIGDATA_OPEN;
    //追剧url
    public String FOCUS_URL=HTTP_DOMAIN + "?s=" + SITE_ID + "|" + channelId + "&p=sntAssetFollow&k=1&v=1&mode=2&assetIds=";
    //统一登录地址
    public String loginurl = "http://vip.wasu.tv/login/cs/login.jsp";
    //广告
    public static String AD = "http://s.cms.wasu.tv/pic/ad/boot-tv4.0.shtml";
    //升级
    public static String UPDATE = "http://android-update.wasu.tv/allinone/action.do";
    //是否是launch版本
    public boolean isLauncher = false;
    //用户中心地址
    public String UserCenterUrl = "http://vip.wasu.tv/business/2002/jsp/business/index.jsp?";
    //是否隐藏用户中心
    public boolean HIDE_USERCENTER = false;
    //APP默认配置信息URL
    public String CONFIG_URL = HTTP_DOMAIN+"/?s=2002|" + channelId + "&p=sntConfig&k=1&v=1" + (BuildConfig.FLAVOR.equalsIgnoreCase(ChannelFlavor.LETV_MARKET) ? "&c=" + channelId : "");
    //默认用户中心域名
    public String HTTP_USER = "http://vip.wasu.tv/";
    //默认广告域名
    public String HTTP_AD = "http://s.cms.wasu.tv/";
    //获得退出页广告数据的位置
    public String Exit_Recommend_Data = HTTP_DOMAIN + "?s=" + SITE_ID + "|" + channelId + "&p=sntPauseRecommend&k=1&v=3" + (BuildConfig.FLAVOR.equalsIgnoreCase(ChannelFlavor.LETV_MARKET) ? "&c=" + channelId : "");


    @Override
    public String getChannelId() {
        return channelId;
    }

    public String getExit_Recommend_Data() {
        return Exit_Recommend_Data;
    }

    @Override
    public String getSiteId() {
        return SITE_ID;
    }

    @Override
    public String getManageUrl() {
        return ManageUrl;
    }

    @Override
    public String getPayUrl() {
        return PayUrl;
    }

    @Override
    public String getPlayUrl() {
        return PlayUrl;
    }

    @Override
    public String getPayTypeUrl() {
        return payTypeUrl;
    }

    @Override
    public String getHTTP_DOMAIN() {
        return HTTP_DOMAIN;
    }

    @Override
    public String getAppKey() {
        return appKey;
    }

    @Override
    public String getaAppSecret() {
        return appSecret;
    }

    @Override
    public int getStatistics_open() {
        return STATISTICS_OPEN;
    }

    @Override
    public String getFOCUS_URL() {
        return FOCUS_URL;
    }

    @Override
    public String getLoginurl() {
        return loginurl;
    }

    @Override
    public String getAD() {
        return AD;
    }

    @Override
    public String getUpdate() {
        return UPDATE;
    }

    @Override
    public boolean getIsLauncher() {
        return isLauncher;
    }

    @Override
    public String getUserCenterUrl() {
        return UserCenterUrl;
    }

    @Override
    public boolean getHide_usercenter() {
        return HIDE_USERCENTER;
    }

    @Override
    public String getConfigUrl() {
        return CONFIG_URL;
    }

    @Override
    public String getHttp_user() {
        return HTTP_USER;
    }

    @Override
    public String getHttp_ad() {
        return HTTP_AD;
    }
}
